HostingManagers

Update manager

PUT/api/managers/{manager_code}

Updates manager limits, password, assigned domains, and delivery assignments.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

manager_code*string

Manager code: MN followed by 8 digits. Example: MN12345678.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

max_domains?integer

Maximum assigned hosting domains. -1 means no limit.

Format int32
max_delivery_domains?integer

Maximum assigned Delivery domains. -1 means no limit.

Format int32
max_delivery_accounts?integer

Maximum assigned Delivery accounts. -1 means no limit.

Format int32
max_email_accounts?integer

Maximum assigned email accounts. -1 means no limit.

Format int32
max_email_accounts_archive?integer

Maximum assigned archived email accounts. -1 means no limit.

Format int32
max_email_accounts_25gb?integer

Maximum assigned 25GB email accounts. -1 means no limit.

Format int32
max_email_accounts_50gb?integer

Maximum assigned 50GB email accounts. -1 means no limit.

Format int32
max_email_accounts_100gb?integer

Maximum assigned 100GB email accounts. -1 means no limit.

Format int32
max_email_quota?integer

Maximum email quota in bytes for accounts managed by this manager.

  • 52428800 = 50 MB.
  • 1073741824 = 1 GB.
  • 2147483648 = 2 GB.
  • 3221225472 = 3 GB.
  • 4294967296 = 4 GB.
  • 5368709120 = 5 GB.
  • 6442450944 = 6 GB.
  • 7516192768 = 7 GB.
  • 8589934592 = 8 GB.
  • 17179869184 = 16 GB.
  • 26843545600 = 25 GB.
  • 53687091200 = 50 GB.
  • 107374182400 = 100 GB.
Format int32Values 52428800 | 1073741824 | 2147483648 | 3221225472 | 4294967296 | 5368709120 | 6442450944 | 7516192768 | 8589934592 | 17179869184 | 26843545600 | 53687091200 | 107374182400
password?string

New manager password. Must be at least 8 characters long and contain at least one letter and one number.

password_confirmation?string

Must match password.

domain_codes?string[]

Hosting domain codes assigned to the manager. Empty array removes all assigned domains.

delivery_account_ids?string[]

Delivery account ids assigned to the manager. Empty array removes all assigned Delivery accounts.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/managers/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}